---
import { getLangFromUrl } from "../i18n/utils";
import { SEO } from "astro-seo";
const lang = getLangFromUrl(Astro.url);
---

<html lang={lang}>
  <head>
    <meta charset="utf-8" />
    <link rel="icon" type="image/svg+xml" href="/favicon.png" />
    <meta name="viewport" content="width=device-width" />
    <meta name="generator" content={Astro.generator} />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link rel="sitemap" href="/sitemap-index.xml" />
    <link
      href="https://fonts.googleapis.com/css2?family=League+Spartan:wght@400..800&family=Manrope:wght@200..800&display=swap"
      rel="stylesheet"
    />
    <link
      rel="alternate"
      type="application/rss+xml"
      title="OwNi.dev - Web Developer"
      href={new URL("rss/feed.xml", Astro.site)}
    />
    <script
      is:inline
      defer
      src="https://umami.owni.dev/script.js"
      data-website-id="db3b4c79-eaea-4fdb-bb42-59d78b8acb70"></script>
    <SEO
      title="Freelance Web developer"
      description="Web development services for small businesses in Perth, WA and Australia. Trust a professional to help you choose and install a CMS or  create a solution for you."
      ,
      openGraph={{
        basic: {
          title: `OwNi.dev - ${lang == "en" ? "Web Developer" : "Développeur Web"}`,
          type: "website",
          image:
            "https://ownidev.syd1.digitaloceanspaces.com/uploads/business_logo.png",
        },
        optional: {
          description:
            "Freelance web developer - Helping small businesses establish an online presence",
        },
      }}
      twitter={{
        creator: "@casyus",
      }}
      extend={{
        // extending the default link tags
        link: [{ rel: "icon", href: "/favicon.png" }],
        // extending the default meta tags
        meta: [
          {
            name: "twitter:image",
            content:
              "https://ownidev.syd1.digitaloceanspaces.com/uploads/business_logo.png",
          },
          { name: "twitter:title", content: "OwNi.Dev" },
          {
            name: "twitter:description",
            content:
              "Freelance web developer - Helping small businesses establish an online presence",
          },
        ],
      }}
    />
  </head>
  <body>
    <main id="root">
      <div>Hi Im a web dev and this is SEO waiting to happen</div>
    </main>
  </body>
</html>
